---
updatedAt: 2026-10-07T13:24:10.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get all Identity Mappings by Provider Name

Get all identity mappings for an OIDC configuration.


**Security:** Requires admin or Project Admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - OIDC API",
    "description": "OpenID Connect integration APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** Unless otherwise specified, all APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "OIDC",
      "description": "APIs for managing OIDC provider configurations, identity mappings, and token exchange in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/oidc/{provider_name}/identity_mappings": {
      "get": {
        "tags": [
          "OIDC"
        ],
        "summary": "Get all Identity Mappings by Provider Name",
        "description": "Get all identity mappings for an OIDC configuration.\n\n\n**Security:** Requires admin or Project Admin privileges.\n",
        "operationId": "getOidcIdentityMappings",
        "parameters": [
          {
            "name": "provider_name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The OIDC provider name"
          },
          {
            "name": "project_key",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Optional project key to filter identity mappings"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/OidcIdentityMappingResponse"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - OIDC configuration not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "OidcIdentityMapping": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Identity mapping name"
          },
          "description": {
            "type": "string",
            "description": "Identity mapping description"
          },
          "claims": {
            "type": "object",
            "description": "Claims filter as JSON object",
            "additionalProperties": true
          },
          "token_spec": {
            "$ref": "#/components/schemas/TokenSpec"
          },
          "priority": {
            "type": "integer",
            "description": "Mapping priority"
          }
        }
      },
      "OidcIdentityMappingResponse": {
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/OidcIdentityMapping"
          },
          {
            "type": "object",
            "properties": {
              "project_key": {
                "type": "string",
                "description": "Project key"
              }
            }
          }
        ]
      },
      "TokenSpec": {
        "type": "object",
        "properties": {
          "username": {
            "type": "string",
            "description": "Username"
          },
          "scope": {
            "type": "string",
            "description": "Token scope"
          },
          "audience": {
            "type": "string",
            "description": "Token audience"
          },
          "expires_in": {
            "type": "integer",
            "format": "int64",
            "description": "Token expiry in seconds"
          },
          "username_pattern": {
            "type": "string",
            "description": "Username pattern"
          },
          "groups_pattern": {
            "type": "string",
            "description": "Groups pattern"
          },
          "self_revocable": {
            "type": "boolean",
            "description": "Whether the token is self-revocable"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```